1 USD ≈ 27,000 credits · display only
Reference rate may change over time.
1 USD ≈ 27,000 credits · display only
Reference rate may change over time.
| Operation | Gommo public API |
|---|---|
| Upload image | POST https://v2.api.gommo.net/ai/upload/image |
| Upload video | POST https://v2.api.gommo.net/ai/upload/video |
Auth: Authorization: Bearer {token} and/or form access_token. Include domain and project_id in multipart.
Multipart fields:
| Type | Field |
|---|---|
| Image | file (+ optional fileName) |
| Video | video_file or file |
curl.exe -X POST "https://v2.api.gommo.net/ai/upload/image" ^
-H "Authorization: Bearer %TOKEN%" ^
-F "access_token=%TOKEN%" -F "domain=%REGISTRATION_DOMAIN%" ^
-F "project_id=default" -F "file=@C:\path\to\photo.png"$d = $env:GOMMO_API_DOMAIN; if (-not $d) { throw 'Set GOMMO_API_DOMAIN to the user registration domain (dealer)' }
curl.exe -X POST "https://v2.api.gommo.net/ai/upload/image" `
-H "Authorization: Bearer $env:TOKEN" `
-F "access_token=$env:TOKEN" -F "domain=$d" `
-F "project_id=default" -F "file=@C:\path\to\photo.png"curl.exe -X POST "https://v2.api.gommo.net/ai/upload/image" ^
-H "Authorization: Bearer %TOKEN%" ^
-F "domain=%REGISTRATION_DOMAIN%" -F "project_id=default" -F "[email protected]"curl.exe -X POST "https://v2.api.gommo.net/ai/upload/video" ^
-H "Authorization: Bearer %TOKEN%" ^
-F "access_token=%TOKEN%" -F "domain=%REGISTRATION_DOMAIN%" ^
-F "project_id=default" -F "video_file=@C:\path\to\clip.mp4"$d = $env:GOMMO_API_DOMAIN; if (-not $d) { throw 'Set GOMMO_API_DOMAIN to the user registration domain (dealer)' }
curl.exe -X POST "https://v2.api.gommo.net/ai/upload/video" `
-H "Authorization: Bearer $env:TOKEN" `
-F "access_token=$env:TOKEN" -F "domain=$d" `
-F "project_id=default" -F "video_file=@C:\path\to\clip.mp4"Optional REST/proxy when you deploy this repo — Deploy → Self-host (advanced).